%global momorel 1
%global artsver 1.5.3
%global artsrel 1m
%global qtver 3.3.5
%global kdever 3.5.3
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global i18nsrcver 0.12.16
%global i18nver 0.12.16
%global enable_gcc_check_and_hidden_visibility 0

Summary: Excellent CD/DVD-Burner for KDE3
Name: k3b
Version: 0.12.16
Release: %{momorel}m
License: GPL
URL: http://www.k3b.org/
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/k3b/%{name}-%{version}.tar.bz2 cac9b8230295c1756581399b3bbd0687
%NoSource 1 http://dl.sourceforge.net/sourceforge/k3b/%{name}-i18n-%{i18nsrcver}.tar.bz2 1dc3edf8afff8b1c9064b42335a61add
Source2: %{name}rc
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: cdrtools >= 2.0, mkisofs >= 2.0, cdrdao >= 1.1, dvd+rw-tools, libart_lgpl
Requires: libvorbis, libogg, audiofile, libmad, id3lib, flac >= 1.1.2, cdparanoia
Requires: taglib, libmusicbrainz
Requires: lame, transcode, libsndfile, ffmpeg >= 0.4.9
Requires: hal, dbus-qt
BuildPreReq: qt-devel >= %{qtver}, arts-devel >= %{artsver}-%{artsrel}, kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: libvorbis-devel, libogg-devel, audiofile-devel
BuildPreReq: libmad, id3lib-devel, flac-devel >= 1.1.2, cdparanoia-devel
BuildPreReq: libart_lgpl-devel, zlib-devel, libpng-devel, libjpeg-devel
BuildPreReq: gcc-c++ >= 3.4.1-1m
BuildPreReq: desktop-file-utils, alsa-lib-devel
BuildPreReq: taglib-devel, libmusicbrainz-devel
BuildPreReq: libsndfile-devel, fam-devel
BuildPreReq: lame-devel, ffmpeg-devel >= 0.4.9
BuildPreReq: hal-devel >= 0.5.5.1
BuildPreReq: dbus-qt >= 0.61, dbus-devel >= 0.61

%description
K3b provides a comfortable user interface to perform most CD/DVD
burning tasks. While the experienced user can take influence in all
steps of the burning process the beginner may find comfort in the
automatic settings and the reasonable k3b defaults which allow a quick
start.

%prep
# clean up k3b-i18n
rm -rf %{_builddir}/%{name}-i18n-%{i18nver}

%setup -q -b 1

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

# build k3b-i18n
cd %{_builddir}/%{name}-i18n-%{i18nver}

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--disable-rpath

make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install k3b-i18n
cd %{_builddir}/%{name}-i18n-%{i18nver}
make install DESTDIR=%{buildroot}

# install k3brc
mkdir -p %{buildroot}%{_datadir}/config
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/config/k3brc

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/k3b.png %{buildroot}%{_datadir}/pixmaps/k3b.png

# install desktop files
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kde/k3b.desktop

desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-key Keywords \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Settings/System/k3bsetup2.desktop

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in da de es et fr it nl pl pt pt_BR ru sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL KNOWNBUGS PERMISSIONS README TODO
%{_bindir}/k3b
%{_bindir}/k3bsetup
%{_includedir}/*.h
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/.hidden/*.desktop
%{_datadir}/apps/k3b
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/config/k3brc
%{_datadir}/doc/HTML/*/k3b
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/pixmaps/k3b.png
%{_datadir}/sounds/*.wav

%changelog
* Fri Jun 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.16-1m)
- update to 0.12.16
- update desktop.patch
- remove scsi.patch

* Fri Jun 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.15-6m)
- add k3b-0.12.15-scsi.patch from SVN, thanks to trueg-san

* Sat Jun 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.15-5m)
- fix symlinks

* Wed May 24 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.12.15-4m)
- rebuild against ffmpeg-cvs20060517

* Tue May  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.12.15-3m)
- rebuild against dbus-0.61

* Wed Apr 19 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.12.15-2m)
- rebuild against libmusicbrainz-2.1.2

* Wed Apr 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.15-1m)
- update to 0.12.15

* Wed Mar  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.14-1m)
- update to 0.12.14

* Fri Mar  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.13-1m)
- update to 0.12.13

* Wed Feb 15 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.12-1m)
- update to 0.12.12
- update desktop.patch
- remove make-ja.patch and ja.po (i18n tar-ball is including ja)

* Sat Feb 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.11-1m)
- update to 0.12.11
- update k3b-ja.po
- import k3bsetup-ja.po and libk3b-ja.po
  from branches/stable/l10n/ja/messages/extragear-multimedia

* Fri Jan 13 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.10-4m)
- add --enable-new-ldflags to configure

* Fri Jan 13 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.10-3m)
- modify %%prep section for make-ja.patch

* Fri Dec 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.10-2m)
- rebuild against dbus-0.60

* Sat Dec 17 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.10-1m)
- update to 0.12.10
- update k3b-ja.po

* Mon Dec 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.9-1m)
- update to 0.12.9
- update k3b-ja.po

* Fri Nov 25 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.8-1m)
- update to 0.12.8
- update k3b-ja.po

* Tue Nov 22 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.7-3m)
- rebuild with musicbrainz (enable MusicBrainz support)

* Mon Nov 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.7-2m)
- rebuild against KDE 3.5 RC1

* Wed Nov  2 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.7-1m)
- update to 0.12.7
- update k3b-ja.po
- update k3b-i18n-make-ja.patch
- enable HAL support
- BuildPreReq: hal-devel >= 0.5.4, dbus-qt, dbus-devel
- Requires: hal, dbus-qt

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.6-1m)
- update to 0.12.6
- update k3b-ja.po

* Wed Oct 19 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.5-1m)
- update to 0.12.5
- update k3b-ja.po
- add k3b-0.12.5-desktopfile.patch
- remove k3b-0.12-kde34.patch
- remove k3b-0.12.4a-uic.patch

* Sat Sep 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.4a-3m)
- fix uic build problem

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.4a-2m)
- add --disable-rpath to configure

* Sat Sep 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.4a-1m)
- update to 0.12.4a (compile fix)
- remove fix-compile.patch

* Sat Sep 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.4-1m)
- update to 0.12.4
- update k3b-ja.po
- update k3b-i18n-make-ja.patch
- add fix-compile.patch

* Sat Jul 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.3-1m)
- update to 0.12.3
- import k3b-ja.po from SVN (kde.org)
- remove nokdelibsuff.patch

* Wed Jul  6 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.2-2m)
- rebuild against flac-1.1.2

* Sat Jul  2 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.2-1m)
- update to 0.12.2

* Sat Jun 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.1-1m)
- update to 0.12.1
- add KNOWNBUGS and PERMISSIONS to %%doc

* Mon Jun 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12-1m)
- version 0.12
- update kde3x.patch
- remove desktopfile.patch
- BuildPreReq: taglib-devel, libsndfile-devel, fam-devel
- BuildPreReq: lame-devel, ffmpeg-devel

* Fri May 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.24-2m)
- replace Source0: k3b-0.11.24.tar.bz2 (fix documentation issue)

* Thu May 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.24-1m)
- update to 0.11.24 (bugfix release)
- add k3b-i18n-0.11-nokdelibsuff.patch

* Mon Apr 25 2005 Toru Hoshina <t@momonga-linux.org>
- (0.11.23-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.

* Sat Mar 26 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.23-1m)
- update to 0.11.23

* Wed Mar 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.22-1m)
- update to 0.11.22

* Tue Mar 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.21-1m)
- update to 0.11.21
- remove k3b-0.11.20-fix-detect-device.patch
- remove k3b-0.11.20-fix-sound-file-type.patch

* Tue Feb 22 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.20-4m)
- import k3b-0.11.20-fix-sound-file-type.patch from cooker
 +* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-3mdk
 +- Add patch8: fix sound file filter (bug found by Wilman)
- import k3b-0.11.20-fix-detect-device.patch from cooker
 +* Mon Feb 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-2mdk
 +- Add patch7: fix detect device on buggy firmwares
- update Source2: k3brc
  change default theme to 73lab

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.11.20-3m)
- enable x86_64.

* Thu Feb 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.20-2m)
- Requires: lame, transcode
- clean up spec file

* Fri Feb  4 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.20-1m)
- update to 0.11.20
- remove k3b-0.11.14-version.patch

* Thu Jan 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.19-1m)
- update to 0.11.19

* Sun Dec 12 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.18-1m)
- update to 0.11.18
- import k3b-0.11.14-version.patch from Fedora Core
 +* Tue Oct 05 2004 Harald Hoyer <harald@redhat.com> 0:0.11.14-2
 +- fixed version string parsing, which fixes bug 134642

* Sat Nov 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.17-4m)
- rebuild against flac 1.1.1
- remove XFree86 from Requires
- BuildPreReq: XFree86-devel -> xorg-x11-devel

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.11.17-3m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Mon Sep 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.17-2m)
- rebuild against KDE 3.3.0

* Thu Sep 23 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.17-1m)
- update to 0.11.17

* Fri Sep 17 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.16-1m)
- update to 0.11.16
- update desktopfile.patch
- remove Keywords from k3bsetup2.desktop
- BuildPreReq: alsa-lib-devel

* Wed Aug 11 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.14-1m)
- update to 0.11.14

* Tue Aug 10 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.13-2m)
- BuildPreReq: desktop-file-utils

* Wed Aug 04 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11.13-1m)
- update to 0.11.13

* Fri Jul 16 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.12-4m)
- import k3b-0.11.3-kde32.patch from FC2
- import k3b-0.11.6-desktopfile.patch from FC2
- import k3brc from FC2
- add %%{_datadir}/pixmaps/k3b.png for GNOME
- fix category of desktop files

* Thu Jul 15 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.12-3m)
- move desktop files from %%{_datadir}/applnk to %%{_datadir}/applications/kde

* Sat Jun 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.12-2m)
- modify %%setup

* Sat Jun 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.12-1m)
- version 0.11.12
- modify %%install and %%clean sections
- %%global kdever 3.2.3

* Thu Jun 17 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.11-1m)
- version 0.11.11

* Wed May 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.10-1m)
- version 0.11.10
- Requires: cdparanoia, libart_lgpl
- BuildPreReq: cdparanoia-devel, libart_lgpl-devel

* Wed May 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.9-2m)
- rebuild against id3lib 3.8.3

* Tue Mar 30 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.9-1m)
- version 0.11.9

* Wed Mar 24 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.7-1m)
- version 0.11.7

* Wed Mar 10 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.6-2m)
- change i18n package

* Thu Mar  4 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.6-1m)
- version 0.11.6
- add i18n package again

* Tue Feb 24 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.5-2m)
- add dvd+rw-tools to Requires:

* Mon Feb 23 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.5-1m)
- version 0.11.5

* Thu Feb 19 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.4-1m)
- version 0.11.4

* Mon Feb 16 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.3-1m)
- version 0.11.3

* Thu Jan 29 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.1-1m)
- version 0.11.1

* Sat Jan 24 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11-2m)
- add %%post and %%postun sections

* Sat Jan 24 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11-1m)
- version 0.11
- Requires: flac
- BuildPreReq: flac-devel
- temporarily remove i18n package

* Sat Jan 24 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.3-2m)
- s/%%define/%%global/g

* Sat Dec  6 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.3-1m)
- version 0.10.3

* Sun Nov 16 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.2-1m)
- version 0.10.2

* Thu Sep 25 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-4m)
- clean up spec file

* Thu Sep 18 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-3m)
- add %%doc

* Thu Sep 18 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-2m)
- revise %%files section

* Wed Sep 17 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-1m)
- import from Suzuka

* Thu Aug  5 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- added --disable-warnings flag.
- edit menu entry.

* Thu Jul 31 2003 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- fixed head command option

* Tue Jul 29 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- version 0.9 with i18n package.

* Fri Jun 27 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- version 0.9pre2
